Bug 1253775 - [abrt] gedit: gtk_text_iter_make_real(): gedit killed by SIGSEGV
[abrt] gedit: gtk_text_iter_make_real(): gedit killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:dea2757ce2f1f3b44afa66a06b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 12:27 EDT by Adam Williamson
Modified: 2016-07-19 13:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.72 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: core_backtrace (16.40 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: dso_list (17.42 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: environ (1.48 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: maps (78.76 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: mountinfo (3.50 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: open_fds (1.79 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details
File: var_log_messages (305 bytes, text/plain)
2015-08-14 12:27 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2015-08-14 12:27:06 EDT
Description of problem:
Think this crash happened when my wired network connection went away. I was using USB tethering and stepped away from the system for a time; I think the tethering in Android is set to turn off if no data passes for some time. So when I came back it was off. I tried to run a search in gedit (ctrl+f) and it just crashed.

Version-Release number of selected component:
gedit-3.16.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gedit
crash_function: gtk_text_iter_make_real
executable:     /usr/bin/gedit
global_pid:     2519
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_text_iter_make_real at gtktextiter.c:213
 #1 gtk_text_iter_forward_to_tag_toggle at gtktextiter.c:4189
 #2 smart_forward_search_async_step at gtksourcesearchcontext.c:1019
 #3 smart_forward_search_async at gtksourcesearchcontext.c:1110
 #4 gtk_source_search_context_forward_async at gtksourcesearchcontext.c:3343
 #5 start_search at gedit/gedit-view-frame.c:393
 #6 search_entry_changed_cb at gedit/gedit-view-frame.c:1163
 #10 g_signal_emit_by_name at gsignal.c:3401
 #11 end_change at gtkentry.c:2921
 #15 g_signal_emit_by_name at gsignal.c:3401

Potential duplicate: bug 1196831
Comment 1 Adam Williamson 2015-08-14 12:27:08 EDT
Created attachment 1063078 [details]
File: backtrace
Comment 2 Adam Williamson 2015-08-14 12:27:09 EDT
Created attachment 1063079 [details]
File: cgroup
Comment 3 Adam Williamson 2015-08-14 12:27:10 EDT
Created attachment 1063080 [details]
File: core_backtrace
Comment 4 Adam Williamson 2015-08-14 12:27:11 EDT
Created attachment 1063081 [details]
File: dso_list
Comment 5 Adam Williamson 2015-08-14 12:27:12 EDT
Created attachment 1063082 [details]
File: environ
Comment 6 Adam Williamson 2015-08-14 12:27:13 EDT
Created attachment 1063083 [details]
File: limits
Comment 7 Adam Williamson 2015-08-14 12:27:15 EDT
Created attachment 1063084 [details]
File: maps
Comment 8 Adam Williamson 2015-08-14 12:27:16 EDT
Created attachment 1063085 [details]
File: mountinfo
Comment 9 Adam Williamson 2015-08-14 12:27:18 EDT
Created attachment 1063086 [details]
File: namespaces
Comment 10 Adam Williamson 2015-08-14 12:27:19 EDT
Created attachment 1063087 [details]
File: open_fds
Comment 11 Adam Williamson 2015-08-14 12:27:20 EDT
Created attachment 1063088 [details]
File: proc_pid_status
Comment 12 Adam Williamson 2015-08-14 12:27:21 EDT
Created attachment 1063089 [details]
File: var_log_messages
Comment 13 Martin Mézl 2015-09-25 10:32:28 EDT
Another user experienced a similar problem:

1: I opened a plain text (XML) file in gedit. The file contained two lines - first a short line (XML declaration) and second a very very long line (all the rest of the XML code).
2: I tried to find a string which should have been in the second line. After pressing CTRL+F gedit shown the search widget for inputting the searched text and I entered it.
3: gedit was not responding for a while.
4: The 'application is not responding' pop-up window was shown to me and I quit gedit.
5. I opened gedit once again.
6: I tried to do the steps 1 and 2 again.
7: gedit was not responding for a while and then quit itself.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: gtk_text_iter_make_real
executable:     /usr/bin/gedit
global_pid:     5832
kernel:         4.1.6-201.fc22.x86_64
package:        gedit-3.16.3-1.fc22
reason:         gedit killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-07-19 13:30:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.